Bug 1383941

Summary: CVE-2016-8602 ghostscript: check for sufficient params in .sethalftone5 [fedora-all]
Product: [Fedora] Fedora Reporter: Cedric Buissart 🐶 <cbuissar>
Component: ghostscriptAssignee: David Kaspar [Dee'Kej] <dkaspar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 24CC: dkaspar, twaugh, zdohnal
Target Milestone: ---Keywords: Reopened, Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ghostscript-9.20-5.fc23 ghostscript-9.20-5.fc24 ghostscript-9.20-5.fc25 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-07 23:27:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1383940    

Description Cedric Buissart 🐶 2016-10-12 08:18:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Cedric Buissart 🐶 2016-10-12 08:19:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1383940,1383941

# Description of your update
notes=Security fix for CVE-2016-8602

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 David Kaspar [Dee'Kej] 2016-11-01 15:53:49 UTC
Fixed in commit:
http://pkgs.fedoraproject.org/cgit/rpms/ghostscript.git/commit/?id=716ba11068937

Comment 3 Fedora Update System 2016-11-01 16:01:36 UTC
ghostscript-9.20-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62f2b66ed1

Comment 4 Fedora Update System 2016-11-01 16:03:28 UTC
ghostscript-9.20-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea1e4a487b

Comment 5 Fedora Update System 2016-11-01 16:04:14 UTC
ghostscript-9.20-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7836241cd6

Comment 6 Fedora Update System 2016-11-02 14:51:52 UTC
ghostscript-9.20-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62f2b66ed1

Comment 7 Fedora Update System 2016-11-03 18:29:56 UTC
ghostscript-9.20-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-11-05 03:31:10 UTC
ghostscript-9.20-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea1e4a487b

Comment 9 Fedora Update System 2016-11-05 03:48:55 UTC
ghostscript-9.20-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7836241cd6

Comment 10 Fedora Update System 2016-11-06 01:51:36 UTC
ghostscript-9.20-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7836241cd6

Comment 11 Fedora Update System 2016-11-07 23:27:01 UTC
ghostscript-9.20-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-19 21:07:26 UTC
ghostscript-9.20-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-24 08:24:20 UTC
ghostscript-9.20-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.